--All pricing values go through these functions. You can use these
--as kind of hooks into parts of the system. When ever a player
--buys, sells or repairs at a merchant one of these three functions
--determine the final price or cost being used.

function item_value_buy_price(player_mobile, vendor_mobile,cost)
	if(player_mobile:IsPlayer()) then
		cost = cost * 1
	end
	--===================================
	--    ENTER CUSTOM COST CODE HERE
	--===================================
	return math.floor(cost)
end

function item_value_sell_price(player_mobile, vendor_mobile, price)
	if(player_mobile:IsPlayer()) then
		price = price / 1
	end

	--===================================
	--   ENTER CUSTOM PRICE CODE HERE
	--===================================

	return math.floor(price)
end

function repair_cost(player_mobile, vendor_mobile, item_to_fix, cost)
	local min_durability = item_to_fix:GetObjVar("Durability") or 0
	local max_durability = item_to_fix:GetObjVar("MaxDurability") or 0
	local lost_durability = max_durability - min_durability
	
	local final_cost = 5 + 0
	
	--====================================
	-- ENTER CUSTOM REPAIR COST CODE HERE
	--====================================

	return math.floor(final_cost)
end